Redmine - Feature #1189

Multiselect custom fields
2008-05-06 16:32 - Leszek Ciesielski

Status: Closed Start date: 2008-05-06
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 1.4.0

Resolution: Fixed

Description

My project manager wants to be able to assign an issue to multiple target versions (customer requirements - they are fine with
backporting a monstrous changeset, but not with "updating" - please don't ask...). | though | could simulate this with categories or
custom fields, but none of them allows choosing multiple values at once.

So, the idea is: add a new type of custom field, similar to list but allowing multiple choice values. (Or, ideally, allow multiselect for
"Target version', but | suppose this is not possible?)

Related issues:

Related to Redmine - Feature #2625: Combo Box for Custom Field Format Closed 2009-01-30

Related to Redmine - Defect #2759: Nil Class Error with issuescontroller.rb &... Closed 2009-02-16 2009-02-18
Related to Redmine - Feature #5220: Subcategories or multiple category tags o... New 2010-03-30

Has duplicate Redmine - Feature #3186: Custom Field - Multi Select Closed 2009-04-16

Has duplicate Redmine - Feature #5224: Add custom field type that allows mult... Closed 2010-03-30

Has duplicate Redmine - Feature #5176: Multiple select list in custom fields Closed 2010-03-24

Has duplicate Redmine - Feature #7679: Multi-select custom fields Closed 2011-02-21

Has duplicate Redmine - Feature #10265: List-Multiple/User-Multiple Types for... Closed

Associated revisions

Revision 8717 - 2012-01-28 12:16 - Jean-Philippe Lang

Extracts custom field values validation from CustomValue so that they can be validated globally from the customized object (#1189).

Revision 8721 - 2012-01-29 21:51 - Jean-Philippe Lang
Adds support for multiselect custom fields (#1189).

History

#1 - 2008-05-06 19:09 - Carl Nygard

Why not just copy the issue and assign it to another milestone? The issues can be related to each other. After all, applying a patch to a separate
version really is a separate issue to be tackled. Would that solve your problem?

#2 - 2008-05-08 17:23 - Jason Trahan

| also second this feature. Mainly for custom fields. Our management team would like us to assign multiple values for a given field. They would also
like the ability to select multiple catagories for example.

Another item similar to this would be related projects. So for example if we create a ticket under our main project. They would like us to associate the
sub projects that the ticket applies. Basically the same concept as relating a ticket, but allowing related projects so they they can group together. For
example if there is a bug in 1 project, that bug may affect other projects and they would like to have that association so that they know which projects
are affected by that bug.

#3 - 2008-05-09 10:21 - Maxim Krusina

IMHO It's not good idea. Issue should be assigned only to one version/milestone at the time. Otherwise it will mess up time estimates and other
statisics. If you set estimated time for a shared issue for example to 40 hours and asign it to two versions/milestones, you will see you need 2x 40
hours of homanwork to fix it, which is nonsense. The better idea IMHO is to create just second issue and link t to the original issue, so you can trac
issue in both versions/milestones at the same time. Also, sometimes you see that issue can't be finished in time to be included in version/milestone,
so you simply reassign it to the second version/milestone, and all times are autimaticaly recalculated, ok?

#4 - 2008-05-15 06:29 - Jason Trahan

That's understandable from that perspective. But in our case we have custom fields that we need to be able to select multiple values for. I'm not
worried about time management. This is mainly so we can assign various things that management wants us to group together.

#5 - 2008-05-21 19:47 - Kurt Hilsmeier

My organization has a similar need for multiselect custom fields. Bugzilla offers such a capability (while lacking many nice features of Redmine).
Looks like a multiselect field is supported to some extent by this interface as searching can be done on one or more trackers...it's just not supported
as a custom field.

#6 - 2008-09-30 17:02 - Wiladmir Kocerka

This would allow cutting the number of duplicated features or bugs. Instead of duplicating a request, just create a list custom field with your customers
and assign multiple to the same request.

#7 - 2008-11-03 10:28 - Jan lvar Beddari

+1
In some of my use cases for Redmine a multiselect custom field would be very helpful, for example when

e _ tracking changes. One issue could impact more than one entity. Easy example, VPN and firewall configuration, track what firewalls a rule
change involves.

e .. adding alternate email-addresses. In one setup | have an external script that queries the db and feeds email to Redmine, very specific to that
system. It would be helpful to have a custom field per user that would hold all the different email adresses | need. Right now | need to add them
as a delimited string which is more cumbersome.

#8 - 2008-11-29 15:56 - Jean-Baptiste Barth
- File 102_add_custom_fields_multi.rb added
- File multi_values.diff added

Here is a new migration and a patch which let you choose multiple values in issue custom fields, if you checked the "allow multiple choices" option in
the field settings. You may apply it to trunk version (r2065 today), and run a db:migrate after integrating them.

Please consider it is totally experimental : even if all test passed for me, I'm not sure it won't break anything, and | feel like these modifications are a
bit "hacky", but | didn't manage to add it another way. Any criticism or suggestion is welcome :-)

#9 - 2009-02-26 09:34 - Roman Belyakov
- File multi_values_tracker_bug.diff added
Jean-Baptiste Barth wrote:

Here is a new migration and a patch which let you choose multiple values in issue custom fields, if you checked the "allow multiple choices"
option in the field settings. You may apply it to trunk version (r2065 today), and run a db:migrate after integrating them.

Please consider it is totally experimental : even if all test passed for me, I'm not sure it won't break anything, and | feel like these modifications
are a bit "hacky", but | didn't manage to add it another way. Any criticism or suggestion is welcome :-)

There is a bug in new issue creating when | try to select a tracker which does not have multiselect custom fields:

NoMethodError (You have a nil object when you didn't expect it!

The error occurred while evaluating nil.custom_field):
/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:86:in "custom_multi_values="
/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:76:in “each'
/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:76:in " custom_multi_values='

Attached patch fixes this problem. You should apply this patch after multi_values.diff

#10 - 2009-02-26 13:00 - Jean-Baptiste Barth

Thanks a lot, I'll try this.. In fact | don't think my patch is a real good solution ; | was told it puts multiple objects in one line of Journal, so it breaks
future features which would parse journal entries and do researchs on it for instance... and | don't have enough time to work on this because of other
projects. | think this would be a cool feature but it may imply deeper modifications..

#11 - 2009-03-18 13:42 - takuro moniji

Hi, | want to change Issue tracking system from "JIRA " to "Redmine".
But our project manager also wants to be able to assign an issue to multiple target versions.
(because our project shares a lot of program modules in some projects.)

Could you include your patch in version 0.9 ?
#12 - 2009-05-20 20:36 - Nelson LaQuet

+1 for including this in 0.9

| would really like to apply this patch, but don't want to revert to r2065.

#13 - 2009-06-26 22:44 - Diego Garber

| second this feature. | created a custom field called Customer, to assign Issues to customer's requests and there are Issues requested by more than
one customer, as a matter of fact those are naturally more prioritized.

#14 - 2009-07-02 09:00 - Antoine Roux

| would also like to allow multiple choice. We have issues that apply to hardware equipments. An issue may apply to multiple models of hardware, so
that would really be a great improvement !

#15 - 2009-07-16 17:16 - paulo jr

| also would like to add a multi-values field to set a custom field called "Interested people”, where | would select each one of the people who would be
interested in some new feature or defect resolution, but who | would not like to add to my Redmine system (to avoid simple users to access the
system), just to make me remember to keep these people up to date about changes.

#16 - 2009-07-16 17:59 - Jean-Baptiste Barth

After weeks of intensive tests (ahah), | don't think my patch is a good solution. There are problems mentionned above about future evolutions and
journal parsing especially, but moreover, it is not really easy to use and not really stable. | think it would be better to implement the same behaviour as
attached files, i.e. you don't have to erase/save a new list of items each time, you just add one or erase one step by step. Unfortunately | don't have
much time to work on this (maybe in August ?). | don't think actual patch should be integrated to 0.9 (without saying there are no test to be sure it
works well, brr!).

#17 - 2009-07-21 19:12 - VM Weseloh

+1 for including this feature in 0.9

#18 - 2009-09-06 12:11 - Mikhail Grinfeld

| need this feature, too. +1 for including this feature in 0.9

#19 - 2009-11-12 00:52 - Alex Last

+1 we need this. is there a way to vote on issues instead of writing stupid "+1"? :)

#20 - 2009-11-24 23:18 - ciaran jessup

ARgggh, completely missed this issue previously, I've also implemented this functionality over here:
http://github.com/ciaranj/redmine/commit/90213d234e30d35b21de4977e47a957690450248 Although my patch also provides the ability to use
multi-select fields as search filters, | guess I'll take a look at the above patches and see if | can throw mine away, could've saved myself a coupla
hours work had | spotted this previously :(

#21 - 2009-11-24 23:49 - Jean-Baptiste Barth

ciaran jessup wrote:

[...] could've saved myself a coupla hours work had | spotted this previously :(

Hi !
Don't think you've wasted your time, since :
e |'m not even sure this patch works anymore
¢ it's not very easy to use every day with big lists (>20)
e the way multi values are added or deleted is not very cool
I'll take a look at your patch, | guess it will be better than mine.
This feature would be very interesting in my opinion, but there are 2 major problems which must be solved before implement it :
¢ how do we store multiple values without breaking searchs, and journal future exploitation
e how do we organize the Ul in such cases : html multi-select are very difficult to use ; maybe something like files attachments (one field by

default, the other added with javascript, and baskets for deletion) ?

When | see Eric's plugins, | wonder if it's not possible to implement it as a plugin. Any suggestion on these 2 issues would help it progress | think.

#22 - 2009-11-25 22:53 - ciaran jessup
Jean-Baptiste Barth wrote:
ciaran jessup wrote:

[...] could've saved myself a coupla hours work had | spotted this previously :(

Hi !
Don't think you've wasted your time, since :
® |I'm not even sure this patch works anymore
e it's not very easy to use every day with big lists (>20)

e the way multi values are added or deleted is not very cool

I'll take a look at your patch, | guess it will be better than mine.

I'm not sure about that tbh :)
This feature would be very interesting in my opinion, but there are 2 major problems which must be solved before implement it :

e how do we store multiple values without breaking searchs, and journal future exploitation

I'm just storing the selected values as a comma-seperated-list (I need to validate to ensure no options are inputted that contain commas!)
| implemented the logical search operations (filter operations) in the patch and normal searching works as expected, with regards to journal future
exploitation I'm not sure quite what is precluded by listing the new 'state’, i.e. the new set of selected values each time, unless that 'exploitation’ is
happening in the DB it shouldn't be very challenging to work out what changed each time ?
e how do we organize the Ul in such cases : html multi-select are very difficult to use ; maybe something like files attachments (one field by
default, the other added with javascript, and baskets for deletion) ?
| did think about this, and this is do-able using a plugin, | had really wanted to do this with 0 db schema changes as | regularly merge the trunk head

back into my branch and didn't want my schema to diverge.

When | see Eric's plugins, | wonder if it's not possible to implement it as a plugin. Any suggestion on these 2 issues would help it progress | think.

Most of my changes could probably be done in plugins, except for the part where | tweak the 'form' layout algorithm to allow for multi-line widgets :)

Hope this feedback helps

#23 - 2010-01-20 09:54 - Arndt Lehmann

+1

#24 - 2010-02-24 23:15 - Felipe Campo

+ 1 For the patch into trunk

#25 - 2010-02-28 21:17 - Roman Belyakov

- File multi_values_safe_attributes.diff added

In current trunk (r3518) you can't save multiselect custom fields.
Patch attached.

#26 - 2010-05-11 13:56 - David Teixeira

Hello, Can this feature be reviewed by a team member to give a status ? Since it's a very important feature for a a lot of users.

Thanks you

#27 - 2010-05-17 14:52 - Minjie Zhu
- File multi_values_for _r3739.diff added

First, thanx for Jean-Baptiste Barth, Roman Belyakov and others who give me a solution for this issue.

| merged the patches above and update it for r3739.
And | fixed some bugs
e Now you can duplicate or copy an issue with multiselect custom field, same as bulk copy.

* Now the journal is correctly created for multiselect custom field.
o Without this patch, the old value will be displayed in changed-to-value.

e A blank value will only be saved when only itself is selected.
o If any other none-blank value selected, the blank value will be removed. | think this will be more natural.

And still something to do

Bulk edit doesn't work, and will just be ignored.
¢ If you set the multiselect cf to be used as a filter, the search result is not easy to understand.
e In Issues page, only the first value will be displayed in the issue list.
| am beginner of ruby and rails, so my code is very ugly and may be not safe. Hope some one will give a more smart and safe patch.
| does need this feature too, hope it will be import to the redmine.
Sorry for my poor English, and thanx for your read.

#28 - 2010-08-03 18:00 - Eric Hollering

I would love to see this feature rolled into the core product.

#29 - 2010-08-03 18:15 - Jean-Baptiste Barth
- File deleted (102_add_custom_fields_multi.rb)

#30 - 2010-08-03 18:15 - Jean-Baptiste Barth
- File deleted (multi_values.diff)

#31 - 2010-08-03 18:15 - Jean-Baptiste Barth
- File deleted (multi_values_tracker_bug.diff)

#32 - 2010-08-03 18:15 - Jean-Baptiste Barth

- File deleted (multi_values_safe_attributes.diff)

#33 - 2010-08-03 18:19 - Jean-Baptiste Barth

| removed other patches so that it's clearer which one should be applied. Didn't have the time to look at it for the moment. Anyway, | think the whole
custom_fields database structure should be questionned if we integrate such a feature, so that we won't break journals and stop dumping yaml
objects in the DB (it's really bad when you want to query on it, as | experience it these days...).

#34 - 2010-08-03 18:33 - Eric Hollering

| personally have no idea what is required to get this feature integrated to the core, but | think it is one of those flexibility enhancements that really add
value to the product and make it much more attractive for users who have environment-specific needs (and who doesn't?) that must be considered
when choosing products and processes.

#35 - 2010-08-04 14:35 - anisa s.
+1 for this feature.

Did you guys tried this patch with redmine 1.0.07 | need this feature so | downloaded the above patch but | get a redmine 500 error when | access or
create a custom field.

| would really appreciate your help on the topic,

thnx in advance
Ani

#36 - 2010-08-04 21:38 - Terence Mill

+1

#37 - 2010-08-17 18:30 - ciaran jessup
- File Updated-the-QueryColumn-code-to-be-allow_multi-aware.diff added
It works fine for me against the 1.0.0 tag in edavis10's github repository. I've also added a secondary patch to be applied on top of the existing patch
that shows all the custom field values that are selected against a given issue when searching. Otherwise you get rows back with displayed values
that do not neccessarily show one of the searched for values. A better patch would probably to just display the desired/searched-for value(s) but that
information is not available to me [I don't think] at the point in time where the issues-list renderer asks the column to display its value.

#38 - 2010-08-20 17:03 - ciaran jessup
- File Updated-the-QueryColumn-code-to-be-allow_multi-aware-v2.diff added

Ughh, noticed a stupid nil mistake in my previous patch, sorry ( this one supecedes Updated-the-QueryColumn-code-to-be-allow_multi-aware.diff ).

#39 - 2010-08-20 17:56 - Eric Davis

- Target version set to Unplanned backlogs

| would really like to see this as a feature in Redmine. | can think several cases where being able to select multiple values in a custom field would be
useful. For example, the Affected Version one here.

#40 - 2010-08-24 18:44 - Bruno Samora

+1 and my 2 cents:

in addition to the multi select feature, would be very nice if we have some sort of autocomplete for large list, just like the one we have for project
members.

#41 - 2010-08-25 01:53 - Eric Davis

Bruno Samora wrote:

in addition to the multi select feature, would be very nice if we have some sort of autocomplete for large list, just like the one we have for project
members.

It will be better to open this second request as a new feature request. Otherwise it will be lost in this issue, which has 41 notes already.

#42 - 2010-08-26 14:23 - Bruno Samora

Eric Davis wrote:
Bruno Samora wrote:

in addition to the multi select feature, would be very nice if we have some sort of autocomplete for large list, just like the one we have for
project members.

It will be better to open this second request as a new feature request. Otherwise it will be lost in this issue, which has 41 notes already.

Eric, issue #6225 opened

thx

#43 - 2010-11-03 08:48 - Terence Mill

+1

#44 - 2010-11-15 22:20 - Steve Overton
+1 Would be a great addition.

#45 - 2010-11-16 19:01 - James Turnbull

+1.

#46 - 2011-02-09 17:25 - Martin Fink

+1 (yes this is a important feature) :)

#47 - 2011-02-09 17:32 - Leszek Ciesielski
I'd like to point all of you to issue #6914 . Enough with the "+1" already!

#48 - 2011-02-12 11:18 - Masakazu Hamaji

+1
#49 - 2011-02-23 10:01 - Maxim Yastremsky

This is a feature, which my company also would to use. But the patch doesn't work on Redmine versions which are later than 0.9.
Guys, is it possible to update this patch for 1.1.1 version? it will be good

#50 - 2011-02-23 15:50 - Ryan Cross

+1

#51 - 2011-02-27 07:57 - Josh Davidson

+1

#52 - 2011-03-10 19:52-J D

+1

#53 - 2011-03-15 19:23 - Gabriel Baez

+1

#54 - 2011-03-28 23:43 - Marcelo Fernandes

+1

#55 - 2011-03-29 11:54 - Victor Dulepov

+1

#56 - 2011-04-21 17:03 - Steven Risner

Is anyone working on this feature? Its huge and | can't believe its been this long. I'm hoping the existing patches can been modded to suit version
1.2, but this really needs to be part of the core.

#57 - 2011-04-29 08:10 - Bernard Steens

+1

#58 - 2011-05-02 13:55 - Anonymous

+1

#59 - 2011-05-02 13:59 - Leszek Ciesielski

FFS, can't you guys fix #69147 I've had enough of those moronic '+1' comments.

#60 - 2011-05-06 02:54 - Aaron Boxer

+1 for this feature

#61 - 2011-05-12 04:06 - svr678 svr678

Is there some problems on this? technical or marketing consideration? Thanks!

#62 - 2011-06-10 18:14 - Steffen Gebert

+1

This would be a really important feature for us.. being able to select multiple affected and target versions.

#63 - 2011-06-15 17:03 - Martin G

+1

#64 - 2011-06-19 15:46 - Emanuele Tomeo

+1

It would be a really useful feature (instead of a block to adoption this great app)

#65 - 2011-07-17 23:58 - Terence Mill

+1

#66 - 2011-08-05 18:25 - Matteo Giaccone
- File multi_values_for _r6402.diff added

Hi,

i've tried to make the patch working for Redmine 1.2.1 on rev6402.

Here attached my try, it's still not working as i have a bug while trying to save the multi select:
ActiveRecord: :AssociationTypeMismatch in IssuesController#update
CustomValue (#-612294428) expected, got CustomValuesCollection (#-612298128)
Application trace:

gems/activerecord-2.3.11/1lib/active_record/associations/association_proxy.rb:259:in ‘raise_on_type_mismatch'
gems/activerecord-2.3.11/1lib/active_record/associations/association_collection.rb:321:in “replace'
gems/activerecord-2.3.11/1lib/active_record/associations/association_collection.rb:321:in “each’
gems/activerecord-2.3.11/1lib/active_record/associations/association_collection.rb:321:in “replace'
gems/activerecord-2.3.11/1lib/active_record/associations.rb:1331:in " custom_values='
vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:93:in "custom_field_values="'
gems/activerecord-2.3.11/1lib/active_record/base.rb:2918:in " send'
gems/activerecord-2.3.11/1ib/active_record/base.rb:2918:in “assign_attributes'
gems/activerecord-2.3.11/1lib/active_record/base.rb:2914:in “each'
gems/activerecord-2.3.11/1lib/active_record/base.rb:2914:in “assign_attributes'
gems/activerecord-2.3.11/1lib/active_record/base.rb:2787:in “attributes_without_tracker_first="'
app/models/issue.rb:245:in “send'

app/models/issue.rb:245:in "attributes="'

app/models/issue.rb:320:in "~safe_attributes="'

app/controllers/issues_controller.rb:292:in “update_issue_from_params'
app/controllers/issues_controller.rb:174:in “update'

Is this still of any interest? Bye

#67 - 2011-09-12 10:30 - Sven Eisenschmidt

Could it be possible some skilled Dev update the patch to make things work in 1.2.1?
This is a highly anticipated feature.

#68 - 2011-09-12 16:21 - Sven Eisenschmidt

- File custom_field_multiple_values.diff added

| took all patches applied them to the current Redmine 1.2 stable from SVN and made it work. See the diff attached.

#69 - 2011-09-12 17:51 - Terence Mill

@2trunk!
+1

#70 - 2011-09-14 08:10 - Siegfried Vogel

+1

#71 - 2011-09-20 16:26 - Joe Goloso

+1 We also need to be able to create multichoice custom fields.

#72 - 2011-09-20 16:41 - Martin G

+1

#73 - 2011-09-21 20:35 - Szilard Pall

+1

Could any of the Redmine folks enlighten me why has this been not implemented the last 3.5 years?
#74 - 2011-09-22 11:38 - Ir Rubin

Sven Eisenschmidt wrote:

| took all patches applied them to the current Redmine 1.2 stable from SVN and made it work. See the diff attached.
| tried this patch but | got :

ActiveRecord: :UnknownAttributeError in IssuesController#create

unknown attribute: custom_multi_values

Application Trace:

/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2918:in ‘assign_attributes'
/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2914:in "“each'
/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2914:in ‘assign_attributes'
/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2787:in “attributes_without_tracker_first="
/redmine/app/models/issue.rb:245:in "send'

/redmine/app/models/issue.rb:245:in “attributes="'

/redmine/app/models/issue.rb:320:in "safe_attributes='
/redmine/app/controllers/issues_controller.rb:324:in “build_new_issue_from_params'

#75 - 2011-09-22 18:00 - Matteo Giaccone

i continue to have the same exception that i had with my patch also using yours:

ActiveRecord: :AssociationTypeMismatch in IssuesController#update
CustomValue (#-612294428) expected, got CustomValuesCollection (#-612298128)
someone else got it working?

#76 - 2011-09-29 11:06 - Matteo Giaccone

- File custom_field_multiple_values_2.diff added

Here you are my patch working with my setup (the previous one was not working)

| have rails 2.3.11, ruby 1.8.7

Redmine 1.2.1

#77 - 2011-10-13 08:53 - Leif Lange

- File Error_after_applying_patch_multiple_values.pdf added

| have applied your patch to the exact same setup. However, when | try to edit or create a new custom field, | get the error:
undefined method ‘allow_multi' for #<IssueCustomField:0xb5738a74>

Attached is the PDF of the entire error page.

It would be really appreciated if you could shed some light.
Thanks!

#78 - 2011-10-13 08:56 - Leif Lange
- File Error_after_applying_patch_multiple_values.pdf added

Reattached the PDF as the previous contained errors
#79 - 2011-10-13 10:09 - Matteo Giaccone
Leif Lange wrote:
| have applied your patch to the exact same setup. However, when | try to edit or create a new custom field, | get the error:

(-]

Attached is the PDF of the entire error page.
It would be really appreciated if you could shed some light.
Thanks!

have you migrated the DB? it seems that you are lacking that.
#80 - 2011-10-17 10:06 - Leif Lange

Thanks for the reply, | had indeed forgotten issue a 'sudo rake db:migrate' command. But even after successful completion of the migration, | still get
the NoMethodError complaining about the missing 'allow_multi' method.
#81 - 2011-10-31 17:06 - Matt H
Hi,
What are the issues that are stopping this request from being implemented and added to a formal release?

Cheers,
Matt

#82 - 2011-11-01 02:31 - digital fredy

+1 please add this to formal release

#83 - 2011-11-04 12:36 - Ismael Guerra

+1

#84 - 2011-11-10 22:23 - Martin Fink

+1

#85 - 2011-11-11 20:14 - Joe Cullin

+1

#86 - 2011-12-23 11:05 - Michael Steiner

+1

#87 - 2012-01-04 16:42 - Jeremy Udit

Leif Lange wrote:
Thanks for the reply, | had indeed forgotten issue a 'sudo rake db:migrate’ command. But even after successful completion of the migration, | still
get the NoMethodError complaining about the missing "allow_multi' method.

Same error on my installation (Ruby 1.8.7, Rails 2.3.11, Redmine 1.2.1) after running the db migration:

NoMethodError (undefined method “allow_multi' for #&lt;IssueCustomField:0x7fb2d5c322d0&gt;) :

app/controllers/issues_controller.rb:121:in " show'
passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in “process_request'

passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in "accept_and_process_next_request'

passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in ‘main_loop'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in 'start_request_handler'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in "“send'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “handle_spawn_applicatio
n'

passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in “safe_fork'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in “handle_spawn_applicatio
n'

passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in ~__send_ '

passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in "~ server_main_loop'

passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in "~ start_synchronously'

passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in "start'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in " start'

passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in " spawn_rails_application'

passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in " lookup_or_add'

passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in "spawn_rails_application'

passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in 'synchronize'

passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in 'synchronize'

passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in " spawn_rails_application'

passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in " spawn_application'

passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_application'

passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in ~__send_ '

passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in "“server_main_loop'

passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in 'start_synchronously'

passenger (3.0.7) helper-scripts/passenger-spawn-server:99

Has anyone been able to fix this?

#88 - 2012-01-14 13:03 - Aleksej Lebedev

+1
#89 - 2012-01-29 21:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Unplanned backlogs to 1.4.0

- Resolution set to Fixed

Feature added in r8721.

When creating a list, user or version custom field, you can now check the "Multiple values" checkbox to make the custom fields accept multiple

values.

#90 - 2012-01-30 21:00 - Sebastian M

This is great news, thanks.

#91 - 2012-01-30 21:12 - Leszek Ciesielski

Three years since | lost interest in this ticket | have initially raised and after almost a hundred of unwanted notifications - thank you for finally resolving

this. May | again point you to #6914 ?

#92 - 2012-02-01 09:41 - pasquale [:dedalus]

Jean-Philippe Lang wrote:

Feature added in r8721.

Question: existing list could be converted to "Multiple values" behavior?

#93 - 2012-02-01 15:01 - pasquale [:dedalus]

pasquale [:dedalus] wrote:

Question: existing list could be converted to "Multiple values" behavior?

auto-reply: yes! because r7434 ;-)

Files

multi_values_for_r3739.diff 17.1 KB 2010-05-17 Minjie Zhu
Updated-the-QueryColumn-code-to-be-allow_multi-aware.diff 663 Bytes 2010-08-17 ciaran jessup
Updated-the-QueryColumn-code-to-be-allow_multi-aware-v2.diff 700 Bytes 2010-08-20 ciaran jessup
multi_values_for_r6402.diff 15.4 KB 2011-08-05 Matteo Giaccone
custom_field_multiple_values.diff 17.2 KB 2011-09-12 Sven Eisenschmidt
custom_field_multiple_values_2.diff 17.6 KB 2011-09-29 Matteo Giaccone
Error_after_applying_patch_multiple_values.pdf 45.2 KB 2011-10-13 Leif Lange
Error_after_applying_patch_multiple_values.pdf 44.8 KB 2011-10-13 Leif Lange
https://www.redmine.org/projects/redmine/repository/svn/revisions/8721
https://www.redmine.org/issues/6914
https://www.redmine.org/projects/redmine/repository/svn/revisions/8721
https://www.redmine.org/projects/redmine/repository/svn/revisions/7434
